Skip to main content
GET
Get Project

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

created_by
string
required
description
string | null
required
id
string<uuid>
required
instructions
string | null
required
name
string
required
parent_project_id
string | null
required
workspace_id
string
required
agents
ProjectAgentRef · object[]
mcp_instances
ProjectMcpInstanceRef · object[]
skills
ProjectSkillRef · object[]